Last Comment Bug 582408 - Websocket Request Header Capitalization - Sec-Websocket-Key1/2
: Websocket Request Header Capitalization - Sec-Websocket-Key1/2
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 15:57 PDT by Walt W
Modified: 2012-05-30 07:15 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Walt W 2010-07-27 15:57:41 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1

Firefox 4.0b1 appears to be sending the HTTP security key headers for websockets as "Sec-Websocket-Key1" and "Sec-Websocket-Key2" instead of "Sec-WebSocket-Key1" and "Sec-WebSocket-Key2".

The spec from http://www.whatwg.org/specs/web-socket-protocol/ indicates that the 'S' in "Socket" should be capitalized.

Reproducible: Always
Comment 1 Dirkjan Ochtman (:djc) 2011-06-20 01:29:47 PDT
This has been fixed in a later version of Firefox 4 (and is no longer relevant to WebSockets in version 6 and later).

Note You need to log in before you can comment on or make changes to this bug.